<div>
  <h1>Fruits</h1>

  <table>
    <thead>
      <tr>
        <th>Produkt</th>
        <th>Antal</th>
        <th>Pris</th>
        <th>Summa</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let p of products">
        <td>{{p.name}}</td>
        <td>{{p.count}}</td>
        <td>{{p.price | currency:'SEK'}}</td>
        <td>{{(p.count * p.price) | currency:'SEK'}}</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th colspan="3">Belopp:</th>
        <td>{{sumAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">MOMS ({{vatPercentage | percent}}):</th>
        <td>{{vatAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">Frakt:</th>
        <td>{{shippingAmount | currency:'SEK'}}</td>
      </tr>
      <tr>
        <th colspan="3">Att Betala:</th>
        <td>{{totalAmount | currency:'SEK'}}</td>
      </tr>
    </tfoot>
  </table>

</div>
